Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## logica
Class Tablero

    java.lang.Object
      logica.Tablero

    public class Tablero

extends java.lang.Object

Field Summary
`protected byte` | `alto`
`protected byte` | `ancho`
`protected int[][]` | `mapa`
`protected int` | `numeroCodificacionPiezas`
`protected Paleta` | `paleta`
`int` | `VACIO`

Constructor Summary
`Tablero(byte ancho, byte alto, Paleta paleta)`

Method Summary
`protected void` | `actualizarDimension()`
`void` | `agregarPieza(Pieza pieza)`
`void` | `agregarPieza(Pieza pieza, byte left, byte top)`
`protected void` | `bajarPiezas()`
`protected void` | `borrarLinea(byte fila)`
`boolean` | `cabePieza(Pieza pieza)`
`boolean` | `cabePieza(Pieza pieza, byte left, byte top)`
`protected void` | `copiarFila(byte fOrigen, byte fDestino)`
`void` | `dibujar(javax.swing.JPanel contenedor)`
`boolean` | `estaLleno()`
`byte` | `getAlto()`
`byte` | `getAncho()`
`int[][]` | `getMapa()`
`Paleta` | `getPaleta()`
`protected boolean` | `hayLinea(byte fila)`
`protected boolean` | `lineaVacia(byte fila)`
`byte` | `procesarLineas()`
`void` | `setAlto(byte alto)`
`void` | `setAncho(byte ancho)`
`protected void` | `setPaleta(Paleta paleta)`
`void` | `vaciar()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ancho

    protected byte ancho

### alto

    protected byte alto

### mapa

    protected int[][] mapa

### paleta

    protected Paleta paleta

### VACIO

    public final int VACIO

### numeroCodificacionPiezas

    protected final int numeroCodificacionPiezas

Constructor Detail

### Tablero

    public Tablero(byte ancho,
                   byte alto,
                   Paleta paleta)

Method Detail

### getAncho

    public byte getAncho()

### setAncho

    public void setAncho(byte ancho)

### getAlto

    public byte getAlto()

### setAlto

    public void setAlto(byte alto)

### actualizarDimension

    protected void actualizarDimension()

### vaciar

    public void vaciar()

### setPaleta

    protected void setPaleta(Paleta paleta)

### getPaleta

    public Paleta getPaleta()

### estaLleno

    public boolean estaLleno()

### procesarLineas

    public byte procesarLineas()

### hayLinea

    protected boolean hayLinea(byte fila)

### borrarLinea

    protected void borrarLinea(byte fila)

### lineaVacia

    protected boolean lineaVacia(byte fila)

### bajarPiezas

    protected void bajarPiezas()

### copiarFila

    protected void copiarFila(byte fOrigen,
                              byte fDestino)

### agregarPieza

    public void agregarPieza(Pieza pieza,
                             byte left,
                             byte top)

### agregarPieza

    public void agregarPieza(Pieza pieza)

### cabePieza

    public boolean cabePieza(Pieza pieza,
                             byte left,
                             byte top)

### cabePieza

    public boolean cabePieza(Pieza pieza)

### getMapa

    public int[][] getMapa()

### dibujar

    public void dibujar(javax.swing.JPanel contenedor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD